Package com.sun.mirror.util

# Interface SourcePosition

public interface SourcePosition
Represents a position in a source file.

Since:
  1.5

## Method Summary

Modifier and Type
Method
Description
`int`
`column()`
Returns the column number of this position.
`File`
`file()`
Returns the source file containing this position.
`int`
`line()`
Returns the line number of this position.

## Method Details

### file

File file()
Returns the source file containing this position.

Returns:
  the source file containing this position; never null

### line

int line()
Returns the line number of this position. Lines are numbered starting with 1.

Returns:
  the line number of this position, or 0 if the line number is unknown or not applicable

### column

int column()
Returns the column number of this position. Columns are numbered starting with 1.

Returns:
  the column number of this position, or 0 if the column number is unknown or not applicable